Package twisted :: Package protocols :: Module xmlstream :: Class ConnectAuthenticator |
[frames | no frames]

## Class ConnectAuthenticator

    Authenticator --+
                    |
                   ConnectAuthenticator

Known Subclasses:
  `BasicAuthenticator`, `ConnectComponentAuthenticator`

Method Summary
| ``connectionMade`(self)` Called by the XmlStream when the underlying socket connection is in place.
Inherited from Authenticator
| ``__init__`(self, streamHost)`
| ``associateWithStream`(self, xmlstream)` Called by the XmlStreamFactory when a connection has been made to the requested peer, and an XmlStream object has been instantiated.
| ``streamStarted`(self, rootelem)` Called by the XmlStream when it has received a root element from the connected peer.

Instance Variable Summary
Inherited from Authenticator
`str` | `streamHost`: Target host for this stream (used as the 'to' attribute)
`XmlStream` | `xmlstream`: The XmlStream that needs authentication

Class Variable Summary
Inherited from Authenticator
`str` | `namespace`: Default namespace for the XmlStream
`int` | `version`: Version attribute for XmlStream.

Method Details

### connectionMade(self) Called by the XmlStream when the underlying socket connection is in place. This allows the Authenticator to send an initial root element, if it's connecting, or wait for an inbound root from the peer if it's accepting the connection Subclasses can use self.xmlstream.send() with the provided xmlstream parameter to send any initial data to the peer Overrides: `twisted.protocols.xmlstream.Authenticator.connectionMade` (inherited documentation)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:54 2003 | http://epydoc.sf.net